function love.conf (t)
    t.window.title = "Monkey Pinball"
    t.window.width = 650
    t.window.height = 650
    t.console = true
    --t.window.fullscreen = true

    -- Constants to convert between degrees and radius
    DEGTORAD = 0.0174532925199432957
    RADTODEG = 57.295779513082320876

    -- Pinball physics settings
    pinball = { }

    pinball.drawScale = 1

    -- Ball speeds can accumulate pretty steep with a lot of kickers
    -- and bumpers in play. We limit these for reasonable play.
    pinball.bumperForces = { min = 1, max = 4 }
    pinball.ballVelocity = { min = -1000, max = 1000 }

end

