local states = { }

states.current = nil

states.play = {
    ["timeout"] = nil,
    ["timer"] = nil,
    ["next"] = nil
    }

states.launch = {
    ["timeout"] = 1.5,
    ["timer"] = 0,
    ["next"] = states.play
    }

states.drained = {
    ["timeout"] = 1.5,
    ["timer"] = 0,
    ["next"] = states.launch
    }

function states:new (n)
    self.current = n
    self.current.timer = 0
end

function states:update (dt)
    if (self.current.timeout) then
        self.current.timer = self.current.timer + dt
        if (self.current.timer > self.current.timeout) then
            if (self.current.next ~= nil) then
                self:new (self.current.next)
            end
        end
    end
end

return states
